/*#region common*/
	@mixin border ($size:1px, $style:solid, $color: $border-gray) {
	    border: $size $style $color;
	}

	@mixin border-top ($size:1px, $style:solid, $color: $border-gray) {
	    border-top: $size $style $color;
	}

	@mixin border-bottom ($size:1px, $style:solid, $color: $border-gray) {
	    border-bottom: $size $style $color;
	}

	@mixin border-left ($size:1px, $style:solid, $color: $border-gray) {
	    border-left: $size $style $color;
	}

	@mixin border-right ($size:1px, $style:solid, $color: $border-gray) {
	    border-right: $size $style $color;
	}

	@mixin animation() {
	    -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
	    -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
	    -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
	    transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
	}

	@mixin clearfix() {
	    &:after,
	    &:before {
	        content: " ";
	        display: table;
	    }
	    &:after {
	        clear: both;
	    }
	}
	@mixin unclearfix() {
	    &:after,
	    &:before {
	        content: initial;
	        display: initial;
	    }
	    &:after {
	        clear: initial;
	    }
	}
/*#endregion*/

/*#region box shadow*/
	@mixin box-shadow1() {
	    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
	    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
	}

	@mixin box-shadow2() {
	    -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
	    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
	}

	@mixin box-shadow3() {
	    -webkit-box-shadow: 0 8px 17px 0 rgba(0, 0, 0, .2), 0 6px 20px 0 rgba(0, 0, 0, .19);
	    box-shadow: 0 8px 17px 0 rgba(0, 0, 0, .2), 0 6px 20px 0 rgba(0, 0, 0, .19);
	}

	@mixin box-shadow4() {
	    -webkit-box-shadow: 0 12px 15px 0 rgba(0, 0, 0, .24), 0 17px 50px 0 rgba(0, 0, 0, .19);
	    box-shadow: 0 12px 15px 0 rgba(0, 0, 0, .24), 0 17px 50px 0 rgba(0, 0, 0, .19);
	}

	@mixin box-shadow5() {
	    -webkit-box-shadow: 0 16px 28px 0 rgba(0, 0, 0, .22), 0 25px 55px 0 rgba(0, 0, 0, .21);
	    box-shadow: 0 16px 28px 0 rgba(0, 0, 0, .22), 0 25px 55px 0 rgba(0, 0, 0, .21);
	}

	@mixin box-shadow6() {
	    -webkit-box-shadow: 0 27px 24px 0 rgba(0, 0, 0, .2), 0 40px 77px 0 rgba(0, 0, 0, .22);
	    box-shadow: 0 27px 24px 0 rgba(0, 0, 0, .2), 0 40px 77px 0 rgba(0, 0, 0, .22);
	}
/*#endregion*/

/*#region img effect*/
	@mixin center-img () {
	 	.img-container {
	        position: relative;
	        display: block;
	        min-height: 300px;
	        width: auto;
	        overflow: hidden;
	        img {
	            @include animation();
	            position: absolute;
	            top: 50%;
	            left: 50%;
	            -ms-transform: translate(-50%, -50%);
	            -webkit-transform: translate(-50%, -50%);
	            transform: translate(-50%, -50%);
	            width: auto;
	            height: 100%;
	            max-width: inherit;
	        }
	    }
	    &:hover {
	        .img-container img {
	            height: 110%;
	        }
	    }
	}

	@mixin center-img-nohover () {
        position: relative;
        display: block;
        min-height: 300px;
        overflow: hidden;
        img {
            position: absolute;
            top: 50%;
            left: 50%;
            -ms-transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            width: auto;
            height: 100%;
            max-width: inherit;
        }
    }

	@mixin scale-img() {
        .img-container {
          overflow:hidden;
          display: block;
          img {
            -webkit-transition: all .2s linear;
            -o-transition: all .2s linear;
            transition: all .2s linear;
          }
        }
        &:hover .img-container img {
          -webkit-transform: scale(1.1);
          -ms-transform: scale(1.1);
          transform: scale(1.1);
        }
    }

	@mixin scale-imgslow() {
        .img-container {
          overflow:hidden;
          display: block;
          img {
          	-webkit-transition: -webkit-transform 1s ease-out;
          	transition: -webkit-transform 1s ease-out;
          	-o-transition: transform 1s ease-out;
          	transition: transform 1s ease-out;
          	transition: transform 1s ease-out, -webkit-transform 1s ease-out;
          }
        }
        &:hover .img-container img {
          -webkit-transition-duration: 10s;
          -o-transition-duration: 10s;
          transition-duration: 10s;
          -webkit-transform: scale(1.15);
          -ms-transform: scale(1.15);
          transform: scale(1.15);
        }
    }

	@mixin opacity-img() {
	    .img-container {
	      position: relative;
	      display: block;
	      &:after {
	        content: "";
	        position: absolute;
	        top:0;
	        left: 0;
	        background-color: rgba(255,255,255,.1);
	        width: 100%;
	        height: 100%;
	        opacity: 0;
	        -webkit-transition: all .4s ease-in-out;
	        -o-transition: all .4s ease-in-out;
	        transition: all .4s ease-in-out;
	      }
	    }
	    &:hover {
	      .img-container:after {
	        opacity: 1;
	      }
	    }
	}

	@mixin rainbow-img() {
	  .img-container {
	      width: 100px;
	      height: 100px;
	      position: relative;
	      border-radius: 50%;
	      overflow: hidden;
	      transition: all 300ms linear 0s;
	      -webkit-transition: all 300ms linear 0s;
	      -moz-transition: all 300ms linear 0s;
	      -ms-transition: all 300ms linear 0s;
	      -o-transition: all 300ms linear 0s;
	      &:after,
	      &:before {
	          border-radius: 50%;
	          transition: all 300ms linear 0s;
	          -webkit-transition: all 300ms linear 0s;
	          -moz-transition: all 300ms linear 0s;
	          -ms-transition: all 300ms linear 0s;
	          -o-transition: all 300ms linear 0s;
	          content: "";
	          height: inherit;
	          left: 0;
	          position: absolute;
	          top: 0;
	          width: inherit;
	          box-shadow: 75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 75px 0 rgba(255, 255, 255, 0.01) inset, -75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 -75px 0 rgba(255, 255, 255, 0.01) inset;
	          -webkit-box-shadow: 75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 75px 0 rgba(255, 255, 255, 0.01) inset, -75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 -75px 0 rgba(255, 255, 255, 0.01) inset;
	          -moz-box-shadow: 75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 75px 0 rgba(255, 255, 255, 0.01) inset, -75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 -75px 0 rgba(255, 255, 255, 0.01) inset;
	          -ms-box-shadow: 75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 75px 0 rgba(255, 255, 255, 0.01) inset, -75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 -75px 0 rgba(255, 255, 255, 0.01) inset;
	          -o-box-shadow: 75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 75px 0 rgba(255, 255, 255, 0.01) inset, -75px 0 0 rgba(255, 255, 255, 0.01) inset, 0 -75px 0 rgba(255, 255, 255, 0.01) inset;
	      }
	  }
	  &:hover .img-container {
	      &:after,
	      &:before {
	          box-shadow: 5px 0 0 rgba(255, 0, 0, 0.5) inset, 0 5px 0 rgba(252, 150, 0, 0.5) inset, -5px 0 0 rgba(0, 255, 0, 0.5) inset, 0 -5px 0 rgba(0, 150, 255, 0.5) inset;
	          -webkit-box-shadow: 5px 0 0 rgba(255, 0, 0, 0.5) inset, 0 5px 0 rgba(252, 150, 0, 0.5) inset, -5px 0 0 rgba(0, 255, 0, 0.5) inset, 0 -5px 0 rgba(0, 150, 255, 0.5) inset;
	          -moz-box-shadow: 5px 0 0 rgba(255, 0, 0, 0.5) inset, 0 5px 0 rgba(252, 150, 0, 0.5) inset, -5px 0 0 rgba(0, 255, 0, 0.5) inset, 0 -5px 0 rgba(0, 150, 255, 0.5) inset;
	          -ms-box-shadow: 5px 0 0 rgba(255, 0, 0, 0.5) inset, 0 5px 0 rgba(252, 150, 0, 0.5) inset, -5px 0 0 rgba(0, 255, 0, 0.5) inset, 0 -5px 0 rgba(0, 150, 255, 0.5) inset;
	          -o-box-shadow: 5px 0 0 rgba(255, 0, 0, 0.5) inset, 0 5px 0 rgba(252, 150, 0, 0.5) inset, -5px 0 0 rgba(0, 255, 0, 0.5) inset, 0 -5px 0 rgba(0, 150, 255, 0.5) inset;
	      }
	  }
	}

	@mixin glass-img() {
		.img-container {
		  position: relative;
		  overflow: hidden;
		  &:after {
		    content: "";
		    position: absolute;
		    top: -300%;
		    left: -210%;
		    width: 200%;
		    height: 300%;
		    opacity: 0;
		    transform: rotate(30deg);
		    -moz-transform: rotate(30deg);
		    -ms-transform: rotate(30deg);
		    -o-transform: rotate(30deg);
		    -webkit-transform: rotate(30deg);
		    background: rgba(0, 0, 0, 0);
		    background: -webkit-gradient(linear, left top, right top, from(rgba(255, 255, 255, 0)), to(rgba(255, 255, 255, 0.3))) repeat scroll 0 0;
		    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%) repeat scroll 0 0;
		    background: -o-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%) repeat scroll 0 0;
		    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%) repeat scroll 0 0;
		    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fff', endColorstr='#fff',GradientType=1 );
		  }
		}
		&:hover {
		  &:after {
		    opacity: 1;
		    top: -30%;
		    left: -30%;
		    transition-property: left, top, opacity;
		    -moz-transition-property: left, top, opacity;
		    -o-transition-property: left, top, opacity;
		    -webkit-transition-property: left, top, opacity;
		    transition-duration: 0.7s, 0.7s, 0.15s;
		    -moz-transition-duration: 0.7s, 0.7s, 0.15s;
		    -o-transition-duration: 0.7s, 0.7s, 0.15s;
		    -webkit-transition-duration: 0.7s, 0.7s, 0.15s;
		    transition-timing-function: ease;
		    -moz-transition-timing-function: ease;
		    -o-transition-timing-function: ease;
		    -webkit-transition-timing-function: ease;
		  }
		}
	}

	@mixin rotate-img() {
        .img-container {
          overflow: hidden;
          display: block;
          img {         
            -webkit-transform: scale(1) rotate(0deg);
            -moz-transform: scale(1) rotate(0deg);
            -ms-transform: scale(1) rotate(0deg);
            -o-transform: scale(1) rotate(0deg);
            transform: scale(1) rotate(0deg);
            -webkit-transition: all .3s ease-in-out !important;
            -moz-transition: all .3s ease-in-out !important;
            -o-transition: all .3s ease-in-out !important;
            transition: all .3s ease-in-out !important;
          }
        }
        &:hover .img-container img {
          -webkit-transform: scale(1.3) rotate(8deg);
          -moz-transform: scale(1.3) rotate(8deg);
          -ms-transform: scale(1.3) rotate(8deg);
          -o-transform: scale(1.3) rotate(8deg);
          transform: scale(1.3) rotate(8deg);
        }
    }
/*#endregion*/

/*#region flex*/
	@mixin flex-container() {
	    display: -webkit-box;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	    -webkit-box-orient: horizontal;
	    -webkit-box-direction: normal;
	    -webkit-flex-direction: row;
	    -ms-flex-direction: row;
	    flex-direction: row;
	    -webkit-flex-wrap: wrap;
	    -ms-flex-wrap: wrap;
	    flex-wrap: wrap;
	    -webkit-box-orient: horizontal;
	    -webkit-box-direction: normal;
	    -webkit-flex-flow: row wrap;
	    -ms-flex-flow: row wrap;
	    flex-flow: row wrap; // -webkit-justify-content: space-around;
	    -ms-flex-pack: distribute; // justify-content: space-around;
	    &.flex-item-center {
	        -webkit-box-pack: center;
	        -webkit-justify-content: center;
	        -ms-flex-pack: center;
	        justify-content: center;
	    }
	    &.row>.col,
	    >.col {
	        float: none;
	    }
	}
	
	@mixin non-flex-container() {
		-webkit-box-align: inherit;
        -webkit-align-items: inherit;
        -ms-flex-align: inherit;
        align-items: inherit;
        -webkit-box-pack: inherit;
        -webkit-justify-content: inherit;
        -ms-flex-pack: inherit;
        justify-content: inherit;
        display: block;
	}

	@mixin flex-center() {
	    -webkit-box-align: center;
	    -webkit-align-items: center;
	    -ms-flex-align: center;
	    align-items: center;
	    -webkit-box-pack: center;
	    -webkit-justify-content: center;
	    -ms-flex-pack: center;
	    justify-content: center;
	    display: -webkit-box;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	}

	@mixin item-flex() {
	    display: -moz-flex;
	    display: -ms-flex;
	    display: -o-flex;
	    display: -webkit-box;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	    -webkit-flex-direction: -webkit-column;
	    flex-direction: -webkit-column;
	    flex-direction: -moz-column;
	    -ms-flex-direction: -ms-column;
	    flex-direction: -ms-column;
	    flex-direction: -o-column;
	    -webkit-box-orient: vertical;
	    -webkit-box-direction: normal;
	    -webkit-flex-direction: column;
	    -ms-flex-direction: column;
	    flex-direction: column;
	    .text-container {
		    display: -moz-flex;
		    display: -ms-flex;
		    display: -o-flex;
		    display: -webkit-box;
		    display: -webkit-flex;
		    display: -ms-flexbox;
		    display: flex;
	        -moz-flex: 1 0 auto;
	        -o-flex: 1 0 auto;
	        -webkit-box-flex: 1;
	        -webkit-flex: 1 0 auto;
	        -ms-flex: 1 0 auto;
	        flex: 1 0 auto;
	        -webkit-flex-direction: -webkit-column;
	        flex-direction: -webkit-column;
	        flex-direction: -moz-column;
	        -ms-flex-direction: -ms-column;
	        flex-direction: -ms-column;
	        flex-direction: -o-column;
	        -webkit-box-orient: vertical;
	        -webkit-box-direction: normal;
	        -webkit-flex-direction: column;
	        -ms-flex-direction: column;
	        flex-direction: column;
	        .des,
	        h3 {
	            -moz-flex-grow: 1;
	            -o-flex-grow: 1;
	            -webkit-box-flex: 1;
	            -webkit-flex-grow: 1;
	            -ms-flex-positive: 1;
	            flex-grow: 1;
	        }
	        h3 {
			   	-webkit-box-align: baseline;
			   	-webkit-align-items: baseline;
			   	-ms-flex-align: baseline;
			   	align-items: baseline;
			    -webkit-box-pack: center;
			    -webkit-justify-content: center;
			    -ms-flex-pack: center;
			    justify-content: center;
			    display: -webkit-box;
			    display: -webkit-flex;
			    display: -ms-flexbox;
			    display: flex;
	        }
	    }
	}

	@mixin flex-left() {
	    display: -webkit-box;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	    -webkit-box-pack: left;
	    -webkit-justify-content: left;
	    -ms-flex-pack: left;
	    justify-content: left;
	}

	@mixin flex-right() {
	    display: -webkit-box;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	    -webkit-box-pack: end;
	    -webkit-justify-content: flex-end;
	    -ms-flex-pack: end;
	    justify-content: flex-end;
	}
/*#endregion*/

/*#region v-element*/
	@mixin v-height (){display: table;height: 100%;width: 100%;}
	@mixin v-mid() {display: table-cell;vertical-align: middle;width: 100%}
	@mixin v-top() {
	  // display: table-header-group;
	  display: table-cell;
	  width: 100%;
	  vertical-align: top;
	  // height: 100%;
	}
	@mixin v-bot() {
	  // display: table-footer-group;
	  display: table-cell;
	  width: 100%;
	  vertical-align: bottom;
	}
/*#endregion*/

/*#region flex*/
/*#endregion*/